#include "CS_Door.h"

CS_Door::CS_Door()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_door";
	drawBeforeOtherEntity = true;
	cbRect.left = cbRect.right = 6;
}

void CS_Door::SetState(int stateID, int lr)
{
	this->lr = lr;
	if (lr == 0)
		ani.png = L"CS_CaveStoryMod";
	else
		ani.png = L"";
}

std::shared_ptr<Entity> CreateCS_Door()
{
	return std::make_shared<CS_Door>();
}
